
import React from 'react';
import Icon from 'react-icon-base';

const SlActionUndo = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M990.064 17.6641c-0.335938 0 -0.719727 -0.000976562 -1.08789 0.03125c-16.1924 0.52832 -26.4004 13.0879 -27.7764 29.2158c-1.08789 11.8721 -33.9678 299.088 -482.256 298.784v-183.664c0 -12.3682 -7.12012 -23.6641 -18.3359 -28.9443 c-11.0879 -5.31152 -24.4316 -3.67969 -33.9678 4.22461l-414.976 343.776c-7.44043 6.0957 -11.7129 15.1836 -11.6807 24.7832c0.0322 9.5996 4.33594 18.6875 11.7764 24.752l414.96 340.56c9.56836 7.80762 22.7842 9.31152 33.9365 4.0957 c11.1523 -5.31152 18.2881 -16.5596 18.2881 -28.9111v-179.632c185.968 -5.9043 330.992 -65.7119 424.336 -174.976c151.936 -177.776 118.031 -436.16 116.432 -446.912c-2.36816 -15.6641 -13.8721 -27.1836 -29.6484 -27.1836zM446.944 410.191l0.0625 0.000976562 c320.224 -0.192383 442.592 -108.32 512.464 -203.809c-10.2236 76.4961 -40.0635 168.72 -105.008 244.031c-86.3359 100.096 -225.439 152.848 -407.535 152.848c-17.6797 0 -32 14.3203 -32 32v143.776l-332.432 -273.36l332.432 -275.904v148.4 c0 8.49609 3.37598 16.6562 9.4082 22.6562c6 5.98438 14.1279 9.36035 22.6084 9.36035z"/></g>
    </Icon>
);

export default SlActionUndo;
